Metacat - Bug #6315

Needs to work for DATA objects as well
12/18/2013 04:33 PM - ben leinfelder

Status: Closed Start date: 12/18/2013
Priority: Normal Due date:

Assignee: Chris Jones % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.3.1 Spent time: 0.00 hour
Bugzilla-ld:

Description

Found that calls need to work on data objects where the CN does not actually store the object.

See DataONE tracker: https://redmine.dataone.org/issues/4204

Related issues:

Related to Metacat - Bug #6183: CNodeService API calls don't honor authoritat...

Resolved

History

#1 - 12/18/2013 04:37 PM - ben leinfelder
- Parent task deleted (#6183)

#2 - 12/18/2013 04:38 PM - ben leinfelder
- Target version changed from 2.3.0 to 2.3.1

#3 - 12/18/2013 04:39 PM - ben leinfelder

- Tracker changed from Task to Bug

#4 - 12/19/2013 09:35 AM - Chris Jones

- Status changed from New to In Progress

#5 - 12/19/2013 09:36 AM - Chris Jones

- Status changed from In Progress to Closed

Changed CNodeService.delete() and .archive() to handle DATA objects.
